import request from '@/utils/request'

// 管理员列表
export const adminLists = (params: Record<string, any> = {}) => {
  return request.get({ url: '/auth.admin/lists', params })
}

// 管理员详情
export const adminDetail = (params: Record<string, any>) => {
  return request.get({ url: '/auth.admin/detail', params })
}

// 管理员新增
export const adminAdd = (params: Record<string, any>) => {
  return request.post({ url: '/auth.admin/add', params })
}

// 管理员删除
export const adminDelete = (params: Record<string, any>) => {
  return request.post({ url: '/auth.admin/delete', params })
}

// 管理员编辑
export const adminEdit = (params: Record<string, any>) => {
  return request.post({ url: '/auth.admin/edit', params })
}

// 管理员禁用
export const adminDisable = (params: Record<string, any>) => {
  return request.post({ url: '/auth.admin/disable', params })
}
